Subject: Re: Make docs and faqs
From: Steve Kelem <[email-masked]>
To: Paul Kinnucan <[email-masked]>, [email-masked]
Date: Mon, 28 Feb 2000 16:40:11 -0800

Is there a way to select a known "good" shell, such as tcsh or bash, so that we
can get predictable (i.e., Unix shell style) behavior?

Thanks,
Steve Kelem

Paul Kinnucan wrote:

> At 11:22 AM 2/28/00 -0800, Charlie Hand wrote:
> >I've been told by several people that I'm really stupid for not being
> >able to find documentation for the make which comes with bash on
> >the web sites, and I'll stipulate to that.
> >
> >Could someone provide this idiot with an actual URL to make
> >documentation either on the cygwin site, or the redhat site, or
> >where ever it is?
> >
> >Also, I'll stipulate that the several hundred mail list archive
> >messages I've read without finding help were not enough, and that
> >I'm a lazy SOB.
> >
>
> >From the Cygnus faq  (http://sourceware.cygnus.com/cygwin/faq/):
>
> Why is make behaving badly?
>
> Starting with the beta 19 release, make defaults to a win32 mode in which
> backslashes in filenames are permitted and cmd.exe/command.com is used as
> the sub-shell. In this mode, escape characters aren't allowed among other
> restrictions. For this reason, you must set the environment variable
> MAKE_MODE to UNIX to run make on ordinary Unix Makefiles. Here is the full
> scoop:
> MAKE_MODE selects between native Win32 make mode (the default) and a Unix
> mode where it behaves like a Unix make. The Unix mode does allow specifying
> Win32-style paths but only containing forward slashes as the path
> separator. The path list separator character is a colon in Unix mode.
> Win32 mode expects path separators to be either / or \. Thus no Unix-style
> \s as escape are allowed. Win32 mode also uses cmd.exe/command.com as the
> subshell which means "copy" and "del" (and other shell builtins) will work.
> The path list separator character is semi-colon in Win32 mode. People who
> want an nmake-like make might want to use this mode but no one should
> expect Unix Makefiles to compile in this mode. That is why the default b19
> install sets MAKE_MODE to UNIX.
>
> - Paul
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
--
Want to unsubscribe from this list?
Send a message to [email-masked]